import request from '@/utils/request'

// 查询作业证书一览列表
export function listByxWorkcertificate(query) {
  return request({
    url: '/training/byxWorkcertificate/list',
    method: 'get',
    params: query
  })
}

//作业数据
export function cerData(query) {
  return request({
    url: '/training/byxWorkcertificate/cerData',
    method: 'get',
    params: query
  })
}
// 查询作业证书一览详细
export function getByxWorkcertificate(id) {
  return request({
    url: '/training/byxWorkcertificate/' + id,
    method: 'get'
  })
}

// 新增作业证书一览
export function addByxWorkcertificate(data) {
  return request({
    url: '/training/byxWorkcertificate',
    method: 'post',
    data: data
  })
}

// 修改作业证书一览
export function updateByxWorkcertificate(data) {
  return request({
    url: '/training/byxWorkcertificate',
    method: 'put',
    data: data
  })
}

// 删除作业证书一览
export function delByxWorkcertificate(id) {
  return request({
    url: '/training/byxWorkcertificate/' + id,
    method: 'delete'
  })
}

// 导出作业证书一览
export function exportByxWorkcertificate(query) {
  return request({
    url: '/training/byxWorkcertificate/export',
    method: 'get',
    params: query
  })
}
